Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.application.push.impl
Class AbstractSession

    java.lang.Object
      org.richfaces.application.push.impl.AbstractSession

All Implemented Interfaces:
  org.richfaces.application.push.Session

Direct Known Subclasses:
  SessionImpl

    public abstract class AbstractSession

extends java.lang.Object
implements org.richfaces.application.push.Session

Author:
  Nick Belaevski

Constructor Summary
`AbstractSession(java.lang.String id, org.richfaces.application.push.SessionManager sessionManager)`

Method Summary
`void` | `connect(org.richfaces.application.push.Request request)`
`void` | `destroy()`
`void` | `disconnect()`
`java.lang.String` | `getId()`
`long` | `getLastAccessedTime()`
`int` | `getMaxInactiveInterval()`
`org.richfaces.application.push.Request` | `getRequest()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.richfaces.application.push.Session
`getFailedSubscriptions, getSuccessfulSubscriptions, onRequestDisconnected, onRequestResumed, onRequestSuspended, subscribe`

Constructor Detail

### AbstractSession

    public AbstractSession(java.lang.String id,
                           org.richfaces.application.push.SessionManager sessionManager)

Method Detail

### connect

    public void connect(org.richfaces.application.push.Request request)
                 throws java.lang.Exception

  Specified by:
    `connect` in interface `org.richfaces.application.push.Session`
  Throws:
    `java.lang.Exception`

### disconnect

    public void disconnect()
                    throws java.lang.Exception

  Specified by:
    `disconnect` in interface `org.richfaces.application.push.Session`
  Throws:
    `java.lang.Exception`

### getLastAccessedTime

    public long getLastAccessedTime()

  Specified by:
    `getLastAccessedTime` in interface `org.richfaces.application.push.Session`

### getMaxInactiveInterval

    public int getMaxInactiveInterval()

  Specified by:
    `getMaxInactiveInterval` in interface `org.richfaces.application.push.Session`

### getId

    public java.lang.String getId()

  Specified by:
    `getId` in interface `org.richfaces.application.push.Session`

### getRequest

    public org.richfaces.application.push.Request getRequest()

  Specified by:
    `getRequest` in interface `org.richfaces.application.push.Session`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `org.richfaces.application.push.Session`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.